Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.primitives
Interface LongCollection

All Known Subinterfaces:
  LongList

All Known Implementing Classes:
  org.apache.commons.collections.primitives.adapters.AbstractCollectionLongCollection, org.apache.commons.collections.primitives.adapters.AbstractListLongList, AbstractLongCollection, ArrayLongList, ArrayUnsignedIntList, org.apache.commons.collections.primitives.decorators.BaseProxyLongCollection, org.apache.commons.collections.primitives.decorators.BaseProxyLongList, RandomAccessLongList, RandomAccessLongList.RandomAccessLongSubList

public interface LongCollection

A collection of `long` values.

Since:
  Commons Primitives 1.0
Version:
  $Revision: 1.3 $ $Date: 2003/10/16 20:49:36 $
Author:
  Rodney Waldhoff
See Also:
  `LongCollectionCollection`, `CollectionLongCollection`

Method Summary
`boolean` | `add(long element)` Ensures that I contain the specified element (optional operation).
`boolean` | `addAll(LongCollection c)` `Adds` all of the elements in the specified collection to me (optional operation).
`void` | `clear()` Removes all my elements (optional operation).
`boolean` | `contains(long element)` Returns `true` iff I contain the specified element.
`boolean` | `containsAll(LongCollection c)` Returns `true` iff I `contain` all of the elements in the given collection.
`boolean` | `isEmpty()` Returns `true` iff I contain no elements.
`LongIterator` | `iterator()` Returns an `iterator` over all my elements.
`boolean` | `removeAll(LongCollection c)` Removes all of my elements that are contained in the specified collection (optional operation).
`boolean` | `removeElement(long element)` Removes a single occurrence of the specified element (optional operation).
`boolean` | `retainAll(LongCollection c)` Removes all of my elements that are not contained in the specified collection (optional operation).
`int` | `size()` Returns the number of elements I contain.
`long[]` | `toArray()` Returns an array containing all of my elements.
`long[]` | `toArray(long[] a)` Returns an array containing all of my elements, using the given array if it is large enough.

Method Detail

### add

    public boolean add(long element)

  Ensures that I contain the specified element (optional operation). Returns `true` iff I changed as a result of this call.

  If a collection refuses to add the specified element for any reason other than that it already contains the element, it must throw an exception (rather than simply returning `false`). This preserves the invariant that a collection always contains the specified element after this call returns.

  Parameters:
    `element` - the value whose presence within me is to be ensured
  Returns:
    `true` iff I changed as a result of this call
  Throws:
    `UnsupportedOperationException` - when this operation is not supported
    `IllegalArgumentException` - may be thrown if some aspect of the specified element prevents it from being added to me

### addAll

    public boolean addAll(LongCollection c)

  `Adds` all of the elements in the specified collection to me (optional operation).

  Parameters:
    `c` - the collection of elements whose presence within me is to be ensured
  Returns:
    `true` iff I changed as a result of this call
  Throws:
    `UnsupportedOperationException` - when this operation is not supported
    `IllegalArgumentException` - may be thrown if some aspect of some specified element prevents it from being added to me

### clear

    public void clear()

  Removes all my elements (optional operation). I will be `empty` after this method successfully returns.

  Throws:
    `UnsupportedOperationException` - when this operation is not supported

### contains

    public boolean contains(long element)

  Returns `true` iff I contain the specified element.

  Parameters:
    `element` - the value whose presence within me is to be tested
  Returns:
    `true` iff I contain the specified element

### containsAll

    public boolean containsAll(LongCollection c)

  Returns `true` iff I `contain` all of the elements in the given collection.

  Parameters:
    `c` - the collection of elements whose presence within me is to be tested
  Returns:
    `true` iff I contain the all the specified elements

### isEmpty

    public boolean isEmpty()

  Returns `true` iff I contain no elements.

  Returns:
    `true` iff I contain no elements.

### iterator

    public LongIterator iterator()

  Returns an `iterator` over all my elements. This base interface places no constraints on the order in which the elements are returned by the returned iterator.

  Returns:
    an `iterator` over all my elements.

### removeAll

    public boolean removeAll(LongCollection c)

  Removes all of my elements that are contained in the specified collection (optional operation). The behavior of this method is unspecified if the given collection is modified while this method is executing. Note that this includes the case in which the given collection is this collection, and it is not empty.

  Parameters:
    `c` - the collection of elements to remove
  Returns:
    `true` iff I contained the at least one of the specified elements, in other words, returns `true` iff I changed as a result of this call
  Throws:
    `UnsupportedOperationException` - when this operation is not supported

### removeElement

    public boolean removeElement(long element)

  Removes a single occurrence of the specified element (optional operation).

  Parameters:
    `element` - the element to remove, if present
  Returns:
    `true` iff I contained the specified element, in other words, iff I changed as a result of this call
  Throws:
    `UnsupportedOperationException` - when this operation is not supported

### retainAll

    public boolean retainAll(LongCollection c)

  Removes all of my elements that are not contained in the specified collection (optional operation). (In other words, retains only my elements that are contained in the specified collection.) The behavior of this method is unspecified if the given collection is modified while this method is executing.

  Parameters:
    `c` - the collection of elements to retain
  Returns:
    `true` iff I changed as a result of this call
  Throws:
    `UnsupportedOperationException` - when this operation is not supported

### size

    public int size()

  Returns the number of elements I contain.

  Returns:
    the number of elements I contain

### toArray

    public long[] toArray()

  Returns an array containing all of my elements. The length of the returned array will be equal to my `size`.

  The returned array will be independent of me, so that callers may modify that returned array without modifying this collection.

  When I guarantee the order in which elements are returned by an `iterator`, the returned array will contain elements in the same order.

  Returns:
    an array containing all my elements

### toArray

    public long[] toArray(long[] a)

  Returns an array containing all of my elements, using the given array if it is large enough. When the length of the given array is larger than the number of elements I contain, values outside of my range will be unchanged.

  The returned array will be independent of me, so that callers may modify that returned array without modifying this collection.

  When I guarantee the order in which elements are returned by an `iterator`, the returned array will contain elements in the same order.

  Parameters:
    `a` - an array that may be used to contain the elements
  Returns:
    an array containing all my elements

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.